stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.SetupCmd

Description

Install GHC/GHCJS and Cabal.

# Documentation

setup :: (StackM env m, HasConfig env, HasGHCVariant env) => SetupCmdOpts -> CompilerVersion -> VersionCheck -> Maybe (Path Abs File) -> m () #

setupParser :: Parser SetupCmdOpts #

data SetupCmdOpts #

Constructors

SetupCmdOpts |
Fields scoCompilerVersion :: !(Maybe CompilerVersion) scoForceReinstall :: !Bool scoUpgradeCabal :: !Bool scoSetupInfoYaml :: !String scoGHCBindistURL :: !(Maybe String)